id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
ID3_OStreamWriter Class Reference

`#include <writers.h>`

Inheritance diagram for ID3_OStreamWriter:

## Public Member Functions
| ID3_OStreamWriter (ostream &writer)
virtual | ~ID3_OStreamWriter ()
virtual void | close ()
| Close the writer. More...
virtual void | flush ()
| Flush the writer. More...
virtual int_type | writeChar (char_type ch)
| Write a single character and advance the internal position. More...
virtual size_type | writeChars (const char buf[], size_type len)
| Write up to `len` chars into buf and advance the internal position accordingly. More...
virtual size_type | writeChars (const char_type buf[], size_type len)
| Write up to `len` characters into buf and advance the internal position accordingly. More...
virtual pos_type | getBeg ()
| Return the beginning position in the writer. More...
virtual pos_type | getCur ()
| Return the next position that will be written to. More...
Public Member Functions inherited from ID3_Writer
virtual pos_type | getEnd ()
| Return the first position that can't be written to. More...
virtual size_type | getSize ()
| Return the number of bytes written. More...
virtual size_type | getMaxSize ()
| Return the maximum number of bytes that can be written. More...
virtual bool | atEnd ()

## Protected Member Functions
ostream & | getWriter () const

## Additional Inherited Members
Public Types inherited from ID3_Writer
typedef uint32 | size_type
typedef uint8 | char_type
typedef uint32 | pos_type
typedef int32 | off_type
typedef int16 | int_type
Static Public Attributes inherited from ID3_Writer
static const int_type | END_OF_WRITER = -1

## Detailed Description

Definition at line 35 of file writers.h.

## Constructor & Destructor Documentation

ID3_OStreamWriter::ID3_OStreamWriter | ( | ostream & | writer | ) |
| inline

Definition at line 42 of file writers.h.

virtual ID3_OStreamWriter::~ID3_OStreamWriter | ( |  | ) |
| inline virtual

Definition at line 43 of file writers.h.

## Member Function Documentation

virtual void ID3_OStreamWriter::close | ( |  | ) |
| inline virtual

Close the writer.

Any further actions on the writer should fail.

Implements ID3_Writer.

Reimplemented in ID3_OFStreamWriter.

Definition at line 45 of file writers.h.

virtual void ID3_OStreamWriter::flush | ( |  | ) |
| inline virtual

Flush the writer.

Implements ID3_Writer.

Definition at line 46 of file writers.h.

virtual pos_type ID3_OStreamWriter::getBeg | ( |  | ) |
| inline virtual

Return the beginning position in the writer.

Reimplemented from ID3_Writer.

Definition at line 68 of file writers.h.

virtual pos_type ID3_OStreamWriter::getCur | ( |  | ) |
| inline virtual

Return the next position that will be written to.

Implements ID3_Writer.

Definition at line 69 of file writers.h.

ostream& ID3_OStreamWriter::getWriter | ( |  | ) | const
| inline protected

Definition at line 40 of file writers.h.

virtual int_type ID3_OStreamWriter::writeChar | ( | char_type | ch | ) |
| inline virtual

Write a single character and advance the internal position.

Note that the interal position may advance more than one byte for a single character write. Returns END_OF_WRITER if there isn't a character to write.

Reimplemented from ID3_Writer.

Definition at line 48 of file writers.h.

virtual size_type ID3_OStreamWriter::writeChars | ( | const char | buf[],
|  | size_type | len
| ) |  |
| inline virtual

Write up to `len` chars into buf and advance the internal position accordingly.

Returns the number of characters write into buf.

Reimplemented from ID3_Writer.

Definition at line 57 of file writers.h.

virtual size_type ID3_OStreamWriter::writeChars | ( | const char_type | buf[],
|  | size_type | len
| ) |  |
| inline virtual

Write up to `len` characters into buf and advance the internal position accordingly.

Returns the number of characters write into buf. Note that the value returned may be less than the number of bytes that the internal position advances, due to multi-byte characters.

Implements ID3_Writer.

Definition at line 62 of file writers.h.

The documentation for this class was generated from the following file:

- include/id3/writers.h